# Uses of Class
com.fasterxml.jackson.core.ErrorReportConfiguration

Packages that use ErrorReportConfiguration
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.
com.fasterxml.jackson.core.io

## Uses of ErrorReportConfiguration in com.fasterxml.jackson.core

Fields in com.fasterxml.jackson.core declared as ErrorReportConfiguration
Modifier and Type
Field
Description
`protected ErrorReportConfiguration`
JsonFactory.`_errorReportConfiguration`
Container for configuration values used when handling erroneous token inputs.
`protected ErrorReportConfiguration`
TSFBuilder.`_errorReportConfiguration`
`ErrorReportConfiguration` to use.
Methods in com.fasterxml.jackson.core that return ErrorReportConfiguration
Modifier and Type
Method
Description
`ErrorReportConfiguration`
ErrorReportConfiguration.Builder.`build()`
`static ErrorReportConfiguration`
ErrorReportConfiguration.`defaults()`
Methods in com.fasterxml.jackson.core with parameters of type ErrorReportConfiguration
Modifier and Type
Method
Description
`B`
TSFBuilder.`errorReportConfiguration(ErrorReportConfiguration errorReportConfiguration)`
Sets the configuration for error reporting.
`static void`
ErrorReportConfiguration.`overrideDefaultErrorReportConfiguration(ErrorReportConfiguration errorReportConfiguration)`
Override the default ErrorReportConfiguration.
`JsonFactory`
JsonFactory.`setErrorReportConfiguration(ErrorReportConfiguration src)`
Method for overriding `ErrorReportConfiguration` defined for this factory.

## Uses of ErrorReportConfiguration in com.fasterxml.jackson.core.io

Fields in com.fasterxml.jackson.core.io declared as ErrorReportConfiguration
Modifier and Type
Field
Description
`protected final ErrorReportConfiguration`
IOContext.`_errorReportConfiguration`
Methods in com.fasterxml.jackson.core.io that return ErrorReportConfiguration
Modifier and Type
Method
Description
`ErrorReportConfiguration`
IOContext.`errorReportConfiguration()`
Methods in com.fasterxml.jackson.core.io with parameters of type ErrorReportConfiguration
Modifier and Type
Method
Description
`static ContentReference`
ContentReference.`construct(boolean isContentTextual, Object rawContent, int offset, int length, ErrorReportConfiguration errorReportConfiguration)`
`static ContentReference`
ContentReference.`construct(boolean isContentTextual, Object rawContent, ErrorReportConfiguration errorReportConfiguration)`
Constructors in com.fasterxml.jackson.core.io with parameters of type ErrorReportConfiguration
Modifier
Constructor
Description
`protected`
`ContentReference(boolean isContentTextual, Object rawContent, int offset, int length, ErrorReportConfiguration errorReportConfiguration)`
`protected`
`ContentReference(boolean isContentTextual, Object rawContent, ErrorReportConfiguration errorReportConfiguration)`
``
`IOContext(StreamReadConstraints src, StreamWriteConstraints swc, ErrorReportConfiguration erc, BufferRecycler br, ContentReference contentRef, boolean managedResource)`
Main constructor to use.